# Budgets Object

> Source: https://truto.one/docs/api-reference/unified-accounting-api/budgets/

Schema for the `Budgets` resource in **Unified Accounting API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for budget
- **`name`** _(string)_
  The name of the budget
- **`tracking_categories`** _(array<object>)_
  The tracking categories of the budget
  - **`id`** _(string)_
    The ID of the tracking category
  - **`name`** _(string)_
    The name of the tracking category
  - **`option`** _(string)_
    The option of the tracking category
- **`status`** _(string)_
  The status of the budget
  Allowed: `active`, `archived`
- **`start_date`** _(string)_
  The start date of the budget
- **`end_date`** _(string)_
  The end date of the budget
- **`line_items`** _(array<object>)_
  The line items of the budget
  - **`account`** _(string)_
    The ID of the account
  - **`amount`** _(string)_
    The amount of the line item
  - **`note`** _(string)_
    The note of the line item
  - **`date`** _(string)_
    The date of the line item
- **`created_at`** _(string)_
  This represents the date when the budget was created
- **`updated_at`** _(string)_
  This represents the date when the budget was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/accounting/budgets](/docs/api-reference/unified-accounting-api/budgets/list) — List Budgets
- [GET /unified/accounting/budgets/{id}](/docs/api-reference/unified-accounting-api/budgets/get) — Get Budgets
- [PATCH /unified/accounting/budgets/{id}](/docs/api-reference/unified-accounting-api/budgets/update) — Update Budgets
